﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading.Tasks;

namespace Msky.Lib.Security
{
    public class MskyLib
    {
        [DllImport("mskylib.dll", EntryPoint = "GetMD5", CharSet = CharSet.Ansi, CallingConvention = CallingConvention.Winapi)]
        public static extern void GetMD5(string text, StringBuilder result);

        public static byte[] GetMd5Digest(string text)
        {
            var md5Value = new StringBuilder();
            MskyLib.GetMD5(text, md5Value);
            var digest = new List<byte>();
            var md5 = md5Value.ToString();
            for (var i = 0; i < md5.Length; i += 2)
            {
                digest.Add(Convert.ToByte(md5.Substring(i, 2), 16));
            }
            return digest.ToArray();
        }
    }
}
